public class main 
{
	static 
	{
		System.loadLibrary("sesame_java_api");
	}
	public static void main(String argv[]) 
	{
		// Change these values to match your system setup
		String server = "your_server_name";
		String app_path = "Utilities\\Lantica\\SesameAPI\\sample_data\\Customers.db";

		int happy = sesame_java_api.SesameConnect(server);
		if(happy > 0)
		{
			int nn = sesame_java_api.SesameSearch(app_path, "Customers", 0, 2, "!Key=<1200.0%!First=m..", "", "");
			if(nn > -1)
			{
				int loop = 0;
				int num = sesame_java_api.SesameTotal(nn);
				for(loop = 1;loop <= num;loop++)
				{
					sesame_java_api.SesameSetCurrentPosition(nn, loop);
					String first_name = sesame_java_api.SesameGetValue(nn, "First");
					String last_name = sesame_java_api.SesameGetValue(nn, "Last");
					String key = sesame_java_api.SesameGetValue(nn, "KEY");
					System.out.printf("%d OF %d [%s] [%s] [%s]\n", loop, num, key, first_name, last_name);
				}
				sesame_java_api.SesameClose(nn);
			}
			else
			{
				System.out.printf("Failed to get result set.");
			}
			sesame_java_api.SesameDisconnect();
		}
		else
		{
			System.out.printf("Failed to connect.");
		}
	}
}
