<html>
<head>
<title>Search Results From Sesame</title>
</head>
<body>
<?php
function set_criteria()
{
$retval = "";
$val = "";

	if($_SERVER['REQUEST_METHOD'] == "POST")
	{
		$val = $_POST['Key'];
		if(strlen($val) > 0)
		{
			$retval = '!Key=' . $val;
		}
	}
	return($retval);
}

include("sesame_php_api.php");
$nn = 0;
$criteria = "";
$val = "";

	// Change these values to match your system setup
	$server = "your_server_name";
	$app_path = "Utilities\Lantica\SesameAPI\sample_data\Customers.db";

	$criteria = set_criteria();
	if(strlen($criteria) > 0)
	{
		$happy = SesameConnect($server);
		if($happy > 0)
		{
			$nn = SesameSearch($app_path, "Customers", 0, 2, $criteria, '', '');
			if($nn > -1)
			{
				if(SesameTotal($nn) == 1)
				{
					print("<form name=\"kmp\" method=\"post\" action=\"postupdate.php\">\n");
					$val = SesameGetValue($nn, "Key");
					$val = number_format($val, 0, '.', '');
					print("<input type=\"hidden\" name=\"Key\" value=\"$val\">\n");
					print("<P>Please enter your listing information.</P>\n");
					print("<TABLE>\n");
					print("<TR>\n");
					$val = SesameGetValue($nn, "First");
					print("<TD>First Name</TD><TD><input type=\"text\" size=\"20\" name=\"First\" value=\"$val\"></TD>\n");
					print("</TR>\n");
					print("<TR>\n");
					$val = SesameGetValue($nn, "Last");
					print("<TD>Last Name</TD><TD><input type=\"text\" size=\"20\" name=\"Last\" value=\"$val\"></TD>\n");
					print("</TR>\n");
					print("<TR>\n");
					$val = SesameGetValue($nn, "Company");
					print("<TD>Company</TD><TD><input type=\"text\" size=\"20\" name=\"Company\" value=\"$val\"></TD>\n");
					print("</TR>\n");
					print("<TR>\n");
					$val = SesameGetValue($nn, "Add1");
					print("<TD>Address</TD><TD><input type=\"text\" size=\"20\" name=\"Add1\" value=\"$val\"></TD>\n");
					print("</TR>\n");
					print("<TR>\n");
					$val = SesameGetValue($nn, "City");
					print("<TD>City</TD><TD><input type=\"text\" size=\"20\" name=\"City\" value=\"$val\"></TD>\n");
					print("</TR>\n");
					print("<TR>\n");
					$val = SesameGetValue($nn, "State");
					print("<TD>State</TD><TD><input type=\"text\" size=\"20\" name=\"State\" value=\"$val\"></TD>\n");
					print("</TR>\n");
					print("<TR>\n");
					$val = SesameGetValue($nn, "Zip");
					print("<TD>ZIP</TD><TD><input type=\"text\" size=\"20\" name=\"ZIP\" value=\"$val\"></TD>\n");
					print("</TR>\n");
					print("<TR>\n");
					print("<TD>&nbsp;</TD><TD>&nbsp;</TD>\n");
					print("</TR>\n");
					print("<TR>\n");
					print("<TD><input TYPE=\"SUBMIT\" NAME=\"b1\" VALUE=\"Submit Listing\"></TD><TD>&nbsp;</TD>\n");
					print("</TR>\n");
					print("</TABLE>\n");
					print("</form>\n");
				}
				else
				{
					print("Error: Search must return exactly one record.<br>\n");
				}
				SesameClose($nn);
			}
			else
			{
				print("Error: Failed to get Sesame result set.<br>\n");
			}
			SesameDisconnect();
		}
		else
		{
			print("Error: Failed to connect to Sesame server.<br>\n");
		}
	}
	else
	{
		print("Error: You must enter at least one search criteria.<br>\n");
	}
?>
</body>
</html>
