<html>
<head>
<title>Search Results From Sesame</title>
</head>
<body>
<?php
function hds_conditional_cat($str1, $str2, $sep)
{
$ret_str = "";

	$ret_str = (empty($str1))?"":$str1; 
	if(!empty($str2))
	{
		if(!empty($str1))
		{
			$ret_str .= $sep;
		} 
		$ret_str .= $str2;
	} 
	return($ret_str);
}

function set_criteria()
{
$retval = "";
$val = "";

	if($_SERVER['REQUEST_METHOD'] == "POST")
	{
		$val = $_POST['Company'];
		if(strlen($val) > 0)
		{
			$retval = '!Company=' . $val;
		}
		$val = $_POST['State'];
		if(strlen($val) > 0)
		{
			$retval = hds_conditional_cat($retval, '!State=' . $val, '%');
		}
		$val = $_POST['ZIP'];
		if(strlen($val) > 0)
		{
			$retval = hds_conditional_cat($retval, '!Zip=' . $val, '%');
		}
	}
	return($retval);
}

include("sesame_php_api.php");
$loop = 0;
$nn = 0;
$criteria = "";

	// Change these values to match your system setup
	$server = "your_server_name";
	$app_path = "Utilities\Lantica\SesameAPI\sample_data\Customers.db";

	$criteria = set_criteria();
	if(strlen($criteria) > 0)
	{
		$happy = SesameConnect($server);
		if($happy > 0)
		{
			$nn = SesameSearch($app_path, "Customers", 0, 2, $criteria, '', '');
			if($nn > -1)
			{
				SesameSort($nn, "Key:-1");
				$num = SesameTotal($nn);
				print("<p>$num Records Match [$criteria]</p>\n");
				print("<table border=\"1\" cellspacing=\"0\" cellpadding=\"4\">\n");
				print("<tr>\n");
				print("<td>Rec #</td><td>Key</td><td>First</td><td>Last</td>\n");
				print("</tr>\n");
				for($loop = 1;$loop <= $num;$loop++)
				{
					SesameSetCurrentPosition($nn, $loop);
					$first_name = SesameGetValue($nn, "First");
					$last_name = SesameGetValue($nn, "Last");
					$key = (int)SesameGetValue($nn, "KEY");
					printf("<tr><td>%d</td><td>%s</td><td>%s</td><td>%s</td></tr>\n", $loop, $key, $first_name, $last_name);
				}
				print("</table>\n");
				SesameClose($nn);
			}
			else
			{
				print("Error: Failed to get Sesame result set.<br>\n");
			}
			SesameDisconnect();
		}
		else
		{
			print("Error: Failed to connect to Sesame server.<br>\n");
		}
	}
	else
	{
		print("Error: You must enter at least one search criteria.<br>\n");
	}
?>
</body>
</html>
